import type { IServiceRessources } from "./docker.js";

/**
 * used for tellilng a cluster about a disired deployment
 * and specifies its configuration
 */
export interface IDeploymentDirective {
  id: string;
  name: string;
  imageClaim: string;
  /**
   * ports to be exposed
   * hostPort is the port on the host
   * containerPort is the port on the container
   */
  ports: { hostPort: number; containerPort: number }[];
  environment: { [key: string]: string };
  resources?: IServiceRessources;
}